#include <stdio.h>
#include "vtable.h"

// Print two virtual stat tables 100 entries long.
int main (int argc, char *argv[])
{
	int i;

	// The default table curve.  Same as using VTABLE_STEADY.
	VTABLE test;

	printf ("DEFAULT TABLE:\n");

	for (i = 1; i <= 100; i++)
		printf ("%3d%s", (int) test[i], i % 10 == 0 ? "\n" : "    ");

	if (i % 10 == 0)
		printf ("\n");

	// The 'late' table curve.
	VTABLE test2 (VTABLE_LATE);

	printf ("\nLATE TABLE:\n");

	for (i = 1; i <= 100; i++)
		printf ("%3d%s", (int) test2[i], i % 10 == 0 ? "\n" : "    ");

	if (i % 10 == 0)
		printf ("\n");

	// The 'early' table curve.
	VTABLE test3 (VTABLE_EARLY);

	printf ("\nEARLY TABLE:\n");

	for (i = 1; i <= 100; i++)
		printf ("%3d%s", (int) test3[i], i % 10 == 0 ? "\n" : "    ");

	if (i % 10 == 0)
		printf ("\n");

	// Custom table curve.
	int levels[10]  = {  5,  10,  15,  20,  30,  40,  60,  70,  80,  90};
	float sizes[10] = {1.5, 1.3, 1.1, 0.9, 0.7, 0.6, 0.7, 0.8, 0.9, 1.1};
	VTABLE test4 (10, levels, sizes);

	printf ("\nCUSTOM TABLE:\n");

	for (i = 1; i <= 100; i++)
		printf ("%3d%s", (int) test4[i], i % 10 == 0 ? "\n" : "    ");

	if (i % 10 == 0)
		printf ("\n");


	return 0;
}
